Page MenuHomePhabricator

Make it possible to query whether a Wikidata item exists on a particular Wikipedia language edition
Closed, ResolvedPublic

Description

In order to run a Wikipedia translation campaign that involves many potential source languages, and many potential target languages, it is necessary to refer to the relevant Wikidata item as the 'central' point of coordination for translations about a topic. However, it is not currently possible to use something like WDQ to ask "does this item exist on xyz wikipedia edition?"

[I'm not sure the best way to phrase this query, but @Magnus know what I'm talking about! Please edit the description if you think it isn't clear. Pinging @daniel for the benefit of someone in Wikidata seeing this.]

Event Timeline

Wittylama raised the priority of this task from to Normal.
Wittylama updated the task description. (Show Details)
Wittylama added a project: ContentTranslation.
Wittylama added subscribers: Wittylama, Magnus, daniel.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 17 2015, 2:41 PM
Amire80 moved this task from Needs Triage to CX7 on the ContentTranslation board.Sep 18 2015, 12:53 PM
Amire80 added a project: Wikidata.
Amire80 set Security to None.
Amire80 moved this task from CX7 to Upstream on the ContentTranslation board.

My use-case has been addressed by @Multichill using a bot here: https://www.wikidata.org/wiki/User:Multichill/Zandbak#Label
It's not replicable if you can't make your own bot (or convince someone else to run one for you) but it does show that the query is technically possible to query 'does this Wikidata item exist in <Wikipedia edition>' even if I'm still not sure how it's actually done!

The information which wikipedias have an article about an item is "local" to the item, that is, it's directly contained in the item's JSON blob, as a "sitelink". There is no need for an actual "query" (wikidata "queries", WDQ or SPARQL, generally return lists of items).

So, this API request ("query", of you want) tells you which wikipedias have an article about douglas adams: https://www.wikidata.org/w/api.php?action=wbgetentities&ids=Q42&props=sitelinks. Finding out which wikis don't have such an article is then just a matter of comparing the result to a list of all wiki projects you are interested in.

Now, if you wanted to ask something like "which items about 19th century painters do not have an article in the russian wikipedia", you'd need a SPARQL query.

Lydia_Pintscher closed this task as Resolved.Sep 22 2015, 11:45 AM
Lydia_Pintscher claimed this task.
Lydia_Pintscher added a subscriber: Lydia_Pintscher.

Closing this as I think this is handled. If there is something open please reopen with question.